LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   installing mpd 0.15.8 from SBo (http://www.linuxquestions.org/questions/slackware-14/installing-mpd-0-15-8-from-sbo-801974/)

dumdadum 04-14-2010 08:23 AM

installing mpd 0.15.8 from SBo
 
Hello,

I'm trying to install mpd and I get an error when compiling with the SBo .slackbuild file. Here is the error:

/usr/lib/gcc/i486-slackware-linux/4.3.3/../../../../i486-slackware-linux/bin/ld: warning: libx264.so.79, needed by /usr/lib/libavcodec.so, not found (try using -rpath or -rpath-link)
/usr/lib/libavcodec.so: undefined reference to `x264_param_default'
/usr/lib/libavcodec.so: undefined reference to `x264_encoder_headers'
/usr/lib/libavcodec.so: undefined reference to `x264_encoder_encode'
/usr/lib/libavcodec.so: undefined reference to `x264_encoder_close'
/usr/lib/libavcodec.so: undefined reference to `x264_encoder_open_79'
collect2: ld returned 1 exit status
make[1]: *** [src/mpd] Error 1
make[1]: Leaving directory `/tmp/SBo/mpd-0.15.8'
make: *** [all] Error 2


x264 snapshots is installed, I tried reinstalling it, still, I get the same error. Any ideas?

Thanks,
Dumdadum

ponce 04-14-2010 08:26 AM

you have to rebuild ffmpeg after installing x264 snapshot.

dumdadum 04-14-2010 09:21 AM

Quote:

Originally Posted by dumdadum (Post 3935281)
Hello,

I'm trying to install mpd and I get an error when compiling with the SBo .slackbuild file. Here is the error:

/usr/lib/gcc/i486-slackware-linux/4.3.3/../../../../i486-slackware-linux/bin/ld: warning: libx264.so.79, needed by /usr/lib/libavcodec.so, not found (try using -rpath or -rpath-link)
/usr/lib/libavcodec.so: undefined reference to `x264_param_default'
/usr/lib/libavcodec.so: undefined reference to `x264_encoder_headers'
/usr/lib/libavcodec.so: undefined reference to `x264_encoder_encode'
/usr/lib/libavcodec.so: undefined reference to `x264_encoder_close'
/usr/lib/libavcodec.so: undefined reference to `x264_encoder_open_79'
collect2: ld returned 1 exit status
make[1]: *** [src/mpd] Error 1
make[1]: Leaving directory `/tmp/SBo/mpd-0.15.8'
make: *** [all] Error 2


x264 snapshots is installed, I tried reinstalling it, still, I get the same error. Any ideas?

Thanks,
Dumdadum


I installed the ffmpeg of Alien Bob and it compiled. I guess the version I had wasnt compiled with x264 references. Anyhow, problem solved.

Cheers,
Dumdadum

dumdadum 04-14-2010 09:22 AM

Quote:

Originally Posted by ponce (Post 3935286)
you have to rebuild ffmpeg after installing x264 snapshot.

Yeah I installed Alien Bob's version, wich I know is compiled with x264, and it worked.

Thanks,
Dumdadum


All times are GMT -5. The time now is 01:05 AM.